<?php

namespace App\Entities\Part;

use App\Models\Part\SWITCHModel;

class SWITCHEntity extends PartEntity
{
    const PK    = SWITCHModel::PK;
    const TITLE = SWITCHModel::TITLE;
    public function getCode(): string
    {
        return $this->attributes['code'] ?? "";
    }
    //abstract 선언처리용
    public function getUsed(): int
    {
        return 0;
    }
    public function getAvailable(): int
    {
        return 0;
    }
}
